Application: gvSIG desktop - gvSIG bugs #234
Error calculating raster statistics
02/02/2012 11:50 AM - Ignacio Brodin

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: Raster

Target version: 2.0.0-alpha4

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2042 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

It returns the next exception

java.lang.ClassCastException: [[D cannot be cast to java.lang.Double
at org.gvsig.raster.impl.store.serializer.StatisticsRmfSerializer.write(StatisticsRmfSerializer.java:351)
at org.gvsig.raster.impl.store.rmf.RmfBlocksManager.write(RmfBlocksManager.java:173)
at org.gvsig.raster.impl.store.rmf.RmfBlocksManager.write(RmfBlocksManager.java:216)
at org.gvsig.raster.util. DefaultProviderServices.saveObjectToRmfFile(DefaultProviderServices.java:389)
at org.gvsig.raster.impl.provider.DefaultRasterProvider.saveObject ToRmf(DefaultRasterProvider.java:810)
at org.gvsig.raster.impl.store.properties.SimpleProviderStatistics.calculate(SimpleProviderStatistics.java:477)
at org.gvsig.raster.netcdf.app.netcdfclient.gui.panel.NetCDFPanel.actionButtonPressed(NetCDFPanel.java:401)
at org.gvsig.raster.netcdf.app.netcdfclient.gui.panel.NetCDFPanel.actionPerformed(NetCDFPanel.java:328)
at javax.swing.JComboBox.fireActionEvent(JComboBox.java:1240)
at javax.swing.JComboBox.setSelectedltem(JComboBox.java:567)
at javax.swing.JComboBox.setSelectedIndex(JComboBox.java:603)
at org.gvsig.raster.netcdf.app.netcdfclient.gui.panel.NetCDFPanel.actionPerformed(NetCDFPanel.java:292)
at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java: 1995)
at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
at java.awt.Component.processMouseEvent(Component.java:6263)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
at java.awt.Component.processEvent(Component.java:6028)
at java.awt.Container.processEvent(Container.java:2041)
at java.awt.Component.dispatchEventlmpl(Component.java:4630)
at java.awt.Container.dispatchEventimpl(Container.java:2099)
at java.awt.Component.dispatchEvent(Component.java:4460)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
at java.awt.Container.dispatchEventImpl(Container.java:2085)
at java.awt.Window.dispatchEventimpl(Window.java:2478)
at java.awt.Component.dispatchEvent(Component.java:4460)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)

at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

History

#1 - 02/02/2012 11:55 AM - Ignacio Brodin
- Category set to Raster

- Status changed from New to Fixed

- Target version set to 2.0.0-alpha4

gvsig-raster:r971

#2 - 11/07/2012 02:24 PM - Abenchara Socorro

- Status changed from Fixed to Closed
